Get Schema - Cognigy Documentation

GET /v2.0/profiles/schema/{projectId}

Try it

cURL

curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/profiles/schema/{projectId} \
  --header 'X-API-Key: <api-key>'

Python

import requests

url = "https://api-trial.cognigy.ai/new/v2.0/profiles/schema/{projectId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/profiles/schema/{projectId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Responses

{ "profile": { "prevent_data_collection": true, "accepted_gdpr": true, "privacy_policy": {}, "tasks": [ "buyer" ], "memories": [ { "id": "123456", "timestamp": "2024-09-23T08:37:00Z", "text": "This is a memory." } ], "firstname": "Max", "lastname": "Mustermann", "email": "jsmith@example.com", "profilepic": "" }, "active": true, "contactIds": [ "mail@example.com" ] }


- **400**: Bad Request Error
  ```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}

{ "type": "Unauthorized", "title": "Unauthorized Error", "status": 401, "detail": "", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 401, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {} }


- **402**: Payment Required Error
  ```json
{
  "type": "Payment Required",
  "title": "Payment Required Error",
  "status": 402,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 402,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}

{ "type": "Forbidden", "title": "Forbidden Error", "status": 403, "detail": "", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 1000, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {} }


- **404**: Not Found Error
  ```json
{
  "type": "Not Found",
  "title": "Not Found Error",
  "status": 404,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {},
  "logLevel": "error"
}